#1965 draft tmp files are not properly disposed of

closed-fixed
Compose (426)
5
2005-11-21
2005-11-16
Quiddity
No

The temporary file used to store attachments for e-mail
drafts is not properly disposed upon resuming the
draft. When resuming, a copy of the original tmp file
is created, and the original tmp file is forgotten about.

For example:

Initial attachment, with mail saved as a draft:
steve@mydomain.com [~/.sqmaildata]# ls -l
-rw------- 1 steve steve 100024 Nov 16 13:59
aBlM1RqmxEPK2rPSTTxi3yRjHk1sdCsi

After resuming draft, a copy of the original attachment
is created:
steve@mydomain.com [~/.sqmaildata]# ls -l
-rw------- 1 steve steve 100024 Nov 16 13:59
aBlM1RqmxEPK2rPSTTxi3yRjHk1sdCsi
-rw-r--r-- 1 steve steve 100024 Nov 16 13:59
pynRhLHR07CQ10Bk5ctBBT8g8BhaOfHr

After resuming and sending, the copy of the attachment
was disposed of,
but the original remains:
steve@mydomain.com [~/.sqmaildata]# ls -l
-rw------- 1 steve steve 100024 Nov 16 13:59
aBlM1RqmxEPK2rPSTTxi3yRjHk1sdCsi

This is not critical, but can be nuisance at times,
causing users to exceed quotas with old attachments
littering their squirrelmail data directories.

Discussion

  • Thijs Kinkhorst

    Thijs Kinkhorst - 2005-11-17
    • assigned_to: nobody --> kink
     
  • Thijs Kinkhorst

    Thijs Kinkhorst - 2005-11-21
    • status: open --> closed
     
  • Thijs Kinkhorst

    Thijs Kinkhorst - 2005-11-21

    Logged In: YES
    user_id=285765

    Thanks for reporting, I've fixed this in both devel and
    stable trees and will be part of our next release.

     
  • Thijs Kinkhorst

    Thijs Kinkhorst - 2005-11-21
    • status: closed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks